diff --git a/changelog b/changelog
index d8dad94..ecabda5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091002 tpd src/axiom-website/patches.html 20091002.03.tpd.patch
+20091002 tpd src/input/Makefile
+20091002 tpd src/input/rubey.input
 20091002 tpd src/axiom-website/patches.html 20091002.02.tpd.patch
 20091002 tpd src/interp/i-syscmd.lisp cleanup
 20091002 tpd src/axiom-website/patches.html 20091002.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ced2f02..991b3ce 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2083,5 +2083,7 @@ src/interp/i-util.lisp cleanup<br/>
 src/interp/i-toplev.lisp cleanup<br/>
 <a href="patches/20091002.02.tpd.patch">20091002.02.tpd.patch</a>
 src/interp/i-syscmd.lisp cleanup<br/>
+<a href="patches/20091002.03.tpd.patch">20091002.03.tpd.patch</a>
+src/input/rubey.input added<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 89a279b..7b8eb90 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -362,7 +362,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     realclos.regress  reclos.regress   reclos2.regress  regset.regress \
     repa6.regress     robidoux.regress \
     roman.regress     roots.regress    ruleset.regress  rules.regress \
-    sae.regress       spline.regress \
+    rubey.regress     sae.regress       spline.regress \
     schaum1.regress   schaum2.regress  schaum3.regress  schaum4.regress \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
@@ -665,7 +665,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/radff.input    ${OUT}/radix.input      ${OUT}/realclos.input \
        ${OUT}/reclos.input   ${OUT}/reclos2.input    ${OUT}/regset.input     \
        ${OUT}/robidoux.input ${OUT}/roman.input      ${OUT}/roots.input \
-       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/sae.input \
+       ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/rubey.input \
+       ${OUT}/sae.input \
        ${OUT}/spline.input   ${OUT}/schaum1.input \
        ${OUT}/schaum2.input  ${OUT}/schaum3.input    ${OUT}/schaum4.input \
        ${OUT}/schaum5.input  ${OUT}/schaum6.input    ${OUT}/schaum7.input \
diff --git a/src/input/rubey.input.pamphlet b/src/input/rubey.input.pamphlet
new file mode 100644
index 0000000..8c65646
--- /dev/null
+++ b/src/input/rubey.input.pamphlet
@@ -0,0 +1,145 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input rubey.input}
+\author{Martin Rubey}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool rubey.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 10
+mons arg == 
+ if #arg = 1 
+  then arg
+   else concat(map(m+->m+first arg, mons rest arg),
+               map(m+->m-first arg, mons rest arg))
+--R 
+--R                                                                   Type: Void
+--E 1
+
+--S 2 of 10
+summ arg == reduce (+,[m^4 for m in mons arg])
+--R 
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 10
+t2 n == reduce(+,[reduce(+, 
+           [summ[x[i],x[j]] 
+             for j in i+1..n]) 
+               for i in 1..n-1])
+--R 
+--R                                                                   Type: Void
+--E 3
+
+--S 4 of 10
+t3 n == reduce(+, [reduce(+, [reduce(+, 
+           [summ[x[i],x[j],x[k]] 
+             for k in j+1..n]) 
+               for j in i+1..n-1])
+                 for i in 1..n-2])
+--R 
+--R                                                                   Type: Void
+--E 4
+
+--S 5 of 10
+t4 n == reduce(+, [reduce(+, [reduce(+, [reduce(+, 
+           [summ[x[i],x[j],x[k],x[m]] 
+             for m in k+1..n])
+               for k in j+1..n-1]) 
+                 for j in i+1..n-2])
+                   for i in 1..n-3])
+--R 
+--R                                                                   Type: Void
+--E 5
+
+--S 6 of 10
+t5 n == reduce(+, [reduce(+, [reduce(+, [reduce(+, [reduce(+, 
+           [summ[x[i],x[j],x[k],x[m],x[p]] 
+             for p in m+1..n])
+               for m in k+1..n-1])
+                 for k in j+1..n-2]) 
+                   for j in i+1..n-3])
+                     for i in 1..n-4])
+--R 
+--R                                                                   Type: Void
+--E 6
+
+--S 7 of 10
+factor t2 4
+--R 
+--R   Compiling function mons with type List Symbol -> List Polynomial 
+--R      Integer 
+--R   Compiling function summ with type List Symbol -> Polynomial Integer 
+--R   Compiling function t2 with type PositiveInteger -> Polynomial 
+--R      Integer 
+--R
+--R            2     2     2     2 2
+--R   (7)  6(x   + x   + x   + x  )
+--R           4     3     2     1
+--R                                            Type: Factored Polynomial Integer
+--E 7
+
+--S 8 of 10
+factor t3 7
+--R 
+--R   Compiling function t3 with type PositiveInteger -> Polynomial 
+--R      Integer 
+--R
+--R             2     2     2     2     2     2     2 2
+--R   (8)  60(x   + x   + x   + x   + x   + x   + x  )
+--R            7     6     5     4     3     2     1
+--R                                            Type: Factored Polynomial Integer
+--E 8
+
+--S 9 of 10
+factor t4 10
+--R 
+--R   Compiling function t4 with type PositiveInteger -> Polynomial 
+--R      Integer 
+--R
+--R               2     2     2     2     2     2     2     2     2     2 2
+--R   (9)  672(x    + x   + x   + x   + x   + x   + x   + x   + x   + x  )
+--R             10     9     8     7     6     5     4     3     2     1
+--R                                            Type: Factored Polynomial Integer
+--E 9
+
+--S 10 of 10
+factor t5 13
+--R 
+--R   Compiling function t5 with type PositiveInteger -> Polynomial 
+--R      Integer 
+--R
+--R   (10)
+--R     7920
+--R  *
+--R            2      2      2      2     2     2     2     2     2     2     2
+--R         x    + x    + x    + x    + x   + x   + x   + x   + x   + x   + x
+--R          13     12     11     10     9     8     7     6     5     4     3
+--R       + 
+--R           2     2
+--R         x   + x
+--R          2     1
+--R    **
+--R       2
+--R                                            Type: Factored Polynomial Integer
+--E 10
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
